# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenReq

Packages that use TGetDelegationTokenReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetDelegationTokenReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetDelegationTokenReq
Modifier and Type
Class
Description
`class`
`TGetDelegationTokenReq`
`class`
`TGetDelegationTokenReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetDelegationTokenReq
Modifier and Type
Field
Description
`TGetDelegationTokenReq`
TCLIService.GetDelegationToken_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetDelegationTokenReq
Modifier and Type
Method
Description
`TGetDelegationTokenReq`
TGetDelegationTokenReq.`deepCopy()`
`TGetDelegationTokenReq`
TCLIService.GetDelegationToken_args.`getReq()`
`TGetDelegationTokenReq`
TGetDelegationTokenReq.`setOwner(String owner)`
`TGetDelegationTokenReq`
TGetDelegationTokenReq.`setRenewer(String renewer)`
`TGetDelegationTokenReq`
TGetDelegationTokenReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetDelegationTokenReq
Modifier and Type
Method
Description
`int`
TGetDelegationTokenReq.`compareTo(TGetDelegationTokenReq other)`
`boolean`
TGetDelegationTokenReq.`equals(TGetDelegationTokenReq that)`
`void`
TCLIService.AsyncClient.`GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`TGetDelegationTokenResp`
TCLIService.Client.`GetDelegationToken(TGetDelegationTokenReq req)`
`TGetDelegationTokenResp`
TCLIService.Iface.`GetDelegationToken(TGetDelegationTokenReq req)`
`void`
TCLIService.Client.`send_GetDelegationToken(TGetDelegationTokenReq req)`
`TCLIService.GetDelegationToken_args`
TCLIService.GetDelegationToken_args.`setReq(TGetDelegationTokenReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetDelegationTokenReq
Modifier
Constructor
Description
``
`GetDelegationToken_args(TGetDelegationTokenReq req)`
``
`GetDelegationToken_call(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetDelegationTokenReq(TGetDelegationTokenReq other)`
Performs a deep copy on other.